  <div class="header">
    <div class="logo">
      <img src="{{links.logo}}" alt="">
    </div>
  </div>
  <div class="welcome">
    <h1>¡Bienvenido a HELIX!</h1>
    <br>
    <p>
      HELIX es una plataforma que te permite realizar pagos a los proveedores de servicios ubicados dentro
      de tu institución educativa.
    </p>
    <br>
    <p>
      Para completar tu registro necesitamos que nos proporciones algunos datos, por lo que habrá que llenar el 
      siguiente formulario:
    </p>
  </div>
  <mat-horizontal-stepper  linear #stepper >
    <mat-step [stepControl]="generalDataForm">
        <form [formGroup]="generalDataForm" class="form">
          <ng-template matStepLabel>Datos generales</ng-template>
          <mat-form-field>
            <mat-label>Nombre</mat-label>
            <input matInput formControlName="name" placeholder="Nombre" required>
          </mat-form-field>
          <mat-form-field style="margin-left: 5%;">
            <mat-label>Apellidos</mat-label>
            <input matInput formControlName="lastName" placeholder="Apellidos" required>
          </mat-form-field>
          <br> <br>
          <mat-form-field>
            <mat-label>Fecha de nacimiento</mat-label>
            <input type="date" matInput formControlName="birthday"  required>
          </mat-form-field>
          
          <mat-form-field style="margin-left: 5%;">
            <mat-label>Tipo de usuario</mat-label>
              <mat-select class="select" [(value)] = "userRol" required>
                <mat-option value="{{roles.costumer}}">Estudiante</mat-option>
                <mat-option value="{{roles.worker}}">Trabajador</mat-option>
                <mat-option value="{{roles.merchant}}">Comerciante</mat-option>
              </mat-select>
          </mat-form-field>
        </form>
        <div>
            <button mat-button matStepperNext class="stepperButton">Siguiente</button>
        </div>
    </mat-step>

    <mat-step [stepControl]="workerDataForm">
      <ng-template matStepLabel> Datos de rol</ng-template>
      <ng-container *ngIf = "userRol === roles.costumer ">
        <form [formGroup]="costumerDataForm" class="workerform">
          <mat-form-field class="field">
            <mat-label>NIP</mat-label>
            <input type="text" matInput formControlName="nip"  required>
          </mat-form-field> <br>
          <span class="littleMessage"> 
            Esta clave se utilizará para realizar ciertas operaciones en el sistema.
          </span>
        </form>
        <div>
          <button mat-button class="stepperButtonPrevious" matStepperPrevious>Atrás</button> 
          <button mat-button  class="stepperButtonNext"  (click) = "registerCostumer()">Registrarme</button>
        </div>
      </ng-container>
      <ng-container *ngIf = "userRol === roles.worker ">
        <form [formGroup]="workerDataForm" class="workerform">
          <mat-form-field class="field">
            <mat-label>Clave de la empresa donde laboras</mat-label>
            <input type="text" matInput formControlName="key"  required>
          </mat-form-field>
        </form>
        <div>
          <button mat-button class="stepperButtonPrevious" matStepperPrevious>Atrás</button> 
          <button mat-button  class="stepperButtonNext"  (click) = "registerWorker()">Registrarme</button>
        </div>
      </ng-container>
      <ng-container *ngIf = "userRol === roles.merchant ">
        <form [formGroup]="merchantDataForm" class="workerform">
          <mat-form-field class="field">
            <mat-label>CURP</mat-label>
            <input type="text" matInput formControlName="curp"  required>
          </mat-form-field>
          <br>
          <span class="littleMessage"> 
            ¿No recuerdas tu CURP? Puedes consultarlo <a href="{{links.curp}}"> aquí</a>.
          </span>
        </form>
        <div>
          <button mat-button class="stepperButtonPrevious" matStepperPrevious>Atrás</button>
          <button mat-button class="stepperButtonNext"  (click) = "registerMerchant()">Registrarme</button>
        </div>
      </ng-container>
    </mat-step>
    </mat-horizontal-stepper>

    <button class="close" (click) ="logout()">Cerrar sesión</button>


